Android APK issue

Bugs will be moved here once resolved.

Post » Wed Apr 18, 2012 2:48 pm

When I was trying to upload my new .apk version, Google Pay is giving me this message "Error: New APK version is lower than previous APK version."

I am using phonegap and nothing was changed except the new game export from C2.
Would like to check is it just me or something to do with C2?
B
4
Posts: 2
Reputation: 386

Post » Wed Apr 18, 2012 4:27 pm

in C2 in the project properties update its version to higher before exporting.ranma2012-04-18 16:27:34
B
81
S
50
G
10
Posts: 555
Reputation: 13,009

Post » Thu Apr 19, 2012 6:26 am

Hello! Thanks for trying to help.

I am aware that the C2 allow us to specify the version number. But mine is a different problem on 'versionCode' not 'version' on Google Play.

I manage to found the answer. This is a problem with phonegap not C2. Someone discussed about it under the phonegap
forum. It's useful if anyone would like to update their .apk in future.

http://community.phonegap.com/nitobi/topics/android_marketplace_updating

Under the config file, specify it to something like this:
-----
versionCode="10"
version   = "2.0.0">
-----

It's working fine for now.
nicekiddy2012-04-19 06:27:52
B
4
Posts: 2
Reputation: 386

Post » Thu Apr 19, 2012 6:49 pm

i thought that versioncode is incremented automatically in each export. if not, i think this is a bug worth noticing
B
81
S
50
G
10
Posts: 555
Reputation: 13,009

Post » Mon May 07, 2012 2:51 am

A similar thing just happened to me, sorted with the help of this thread. Many thanks.
B
31
S
11
G
7
Posts: 197
Reputation: 6,682


Return to Closed bugs

Who is online

Users browsing this forum: No registered users and 3 guests